New Search

Mozilla Firefox 'window.opener' Property Chrome Privilege Escalation Vulnerability

oval:org.mitre.oval:def:8489

Mozilla Firefox before 3.0.16 and 3.5.x before 3.5.6 and SeaMonkey before 2.0.1 allows remote attackers to execute arbitrary JavaScript with chrome privileges by leveraging a reference to a chrome window from a content window related to the window.opener property.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows 2000
  • Microsoft Windows Server 2003
  • Microsoft Windows XP
  • Microsoft Windows Server 2008
  • Microsoft Windows Vista
Class:
vulnerability
Reference(s):
  • CVE-2009-3986
Product(s):
  • Mozilla Seamonkey
  • Mozilla Firefox